sniff_arch

sniff_arch is a shell script that determines the platform and outputs a string that exactly identifies the platform. All SNiFF+-supported platforms are handled correctly by this script. The script can also be used for setting the location of Shared Object Working Environments and platform-dependent make support files.
Synopsis
On Unix: sniff_arch
On Windows: sh < sniff_dir >/bin/sniff_arch
Output
The output has the format:
<Architecture>-<Vendor>-<OperatingSystem>
On Sun:
% sniff_arch
sparc-sun-sunos4.1
On HP:
% sniff_arch
pa_risc-hp-hpux9.0
On an unsupported platform:
% sniff_arch
SNiFF+ unsupported system type
MACHINE=...
RELEASE=...
SYSTEM=...
VERSION=...